Index: trunk/yao/share/antlr-2.7.7/lib/cpp/Makefile
===================================================================
--- trunk/yao/share/antlr-2.7.7/lib/cpp/Makefile	(revision 648)
+++ trunk/yao/share/antlr-2.7.7/lib/cpp/Makefile	(revision 1)
@@ -12,14 +12,14 @@
 ## helper utilities ..
 INSTALL         = /usr/bin/install -c
-MKDIR           = /usr/bin/mkdir
-RM              = /usr/bin/rm -r -f
-RMF             = /usr/bin/rm -r -f
-TAR             = /usr/bin/tar
+MKDIR           = /bin/mkdir
+RM              = /bin/rm -r -f
+RMF             = /bin/rm -r -f
+TAR             = /bin/tar
 TOUCH           = /bin/touch
-CHMOD           = /usr/bin/chmod
-SED             = /usr/bin/sed
-GREP            = /usr/bin/grep
-CAT             = /usr/bin/cat
-CHMOD           = /usr/bin/chmod
+CHMOD           = /bin/chmod
+SED             = /bin/sed
+GREP            = /bin/grep
+CAT             = /bin/cat
+CHMOD           = /bin/chmod
 CP              = /bin/cp
 ECHO            = /bin/echo
@@ -63,7 +63,7 @@
 
 # navigation 
-builddir        = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7
-buildtree       = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7
-sourcetree      = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/..
+builddir        = /usr/neuro/local/yao/yao9/share/antlr-2.7.7
+buildtree       = /usr/neuro/local/yao/yao9/share/antlr-2.7.7
+sourcetree      = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/..
 
 ## Two abbrevs to shorten things. $(thisdir) shall be the current
@@ -71,11 +71,11 @@
 ## source dir companion. That means that  $(thisdir)/Makefile has
 ## been generated by $(_srcdir)/Makefile.in.
-_srcdir         = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../$(subdir)
-thisdir         = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/$(subdir)
+_srcdir         = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../$(subdir)
+thisdir         = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/$(subdir)
 
 # variable 'srcdir' is deprecated - use sourcetree
-srcdir          = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/..
+srcdir          = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/..
 # variable 'objdir' is deprecated - use buildtree
-objdir          = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7
+objdir          = /usr/neuro/local/yao/yao9/share/antlr-2.7.7
 
 # other
@@ -87,9 +87,9 @@
 CLR            = /usr/bin/mono
 
-ANTLR_JAR      = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/antlr/antlr.jar
-ANTLR_LIB      = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/cpp/src/libantlr.a
-ANTLR_NET      = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/antlr.runtime.dll
-ANTLR_PY       = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/python/antlr/python.py
-ASTFRAME_NET   = /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/antlr.astframe.dll
+ANTLR_JAR      = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/antlr/antlr.jar
+ANTLR_LIB      = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/cpp/src/libantlr.a
+ANTLR_NET      = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.runtime.dll
+ANTLR_PY       = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/python/antlr/python.py
+ASTFRAME_NET   = /usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.astframe.dll
 
 antlr_jar      = antlr.jar
@@ -210,33 +210,33 @@
 .SUFFIXES:
 
-Makefile :: /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../$(subdir)/Makefile.in  \
-            /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.deps \
-					  /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.make \
-					  /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.vars \
-            /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/config.status
+Makefile :: /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../$(subdir)/Makefile.in  \
+            /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.deps \
+					  /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.make \
+					  /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.vars \
+            /usr/neuro/local/yao/yao9/share/antlr-2.7.7/config.status
 	@echo "*** update $(subdir)/Makefile"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES="$(subdir)/Makefile" /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.deps : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/config.deps.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.deps /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.make : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/config.make.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.make /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/config.vars : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/config.vars.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.vars /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/config.status : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../configure
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES="$(subdir)/Makefile" /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.deps : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/config.deps.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.deps /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.make : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/config.make.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.make /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/config.vars : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/config.vars.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/config.vars /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/config.status : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../configure
 	@echo "*** reconfigure $@ - stay tuned .."
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && /bin/sh ./config.status -q --recheck
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && /bin/sh ./config.status -q --recheck
 	@echo "*** update all configured files .."
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && /bin/sh ./config.status -q
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && /bin/sh ./config.status -q
 
 ### In a pure devel mode there should be also a dependency listed on how
@@ -248,58 +248,58 @@
 ###
 
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/antlr.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/antlr.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/antlr.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/cpp.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/cpp.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/cpp.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/csc.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/csc.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/csc.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/cxx.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/cxx.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/cxx.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/jar.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/jar.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/jar.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/javac.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/javac.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/javac.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/java.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/java.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/java.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/lib.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/lib.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/lib.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/link.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/link.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/link.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/pyinst.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/pyinst.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/pyinst.sh /bin/sh ./config.status -q
-
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/python.sh : \
-	/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/scripts/../scripts/python.sh.in
-	@echo "*** update $@"
-	@cd /dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7 && CONFIG_FILES=scripts/python.sh /bin/sh ./config.status -q
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/antlr.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/antlr.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/antlr.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/cpp.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/cpp.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/cpp.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/csc.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/csc.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/csc.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/cxx.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/cxx.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/cxx.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/jar.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/jar.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/jar.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/javac.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/javac.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/javac.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/java.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/java.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/java.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/lib.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/lib.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/lib.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/link.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/link.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/link.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/pyinst.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/pyinst.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/pyinst.sh /bin/sh ./config.status -q
+
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/python.sh : \
+	/usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/../scripts/python.sh.in
+	@echo "*** update $@"
+	@cd /usr/neuro/local/yao/yao9/share/antlr-2.7.7 && CONFIG_FILES=scripts/python.sh /bin/sh ./config.status -q
 
 
@@ -312,9 +312,9 @@
 ## variable $(subdir) proper.
 
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/antlr.runtime.dll :: 
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.runtime.dll :: 
 	@ subdir="lib/csharp/antlr.runtime" ; \
     case $(subdir) in \
 	  $$subdir ) ;; \
-	  * ) d="/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/$$subdir" ; \
+	  * ) d="/usr/neuro/local/yao/yao9/share/antlr-2.7.7/$$subdir" ; \
         test -f "$$d/Makefile" && {  \
          /usr/bin/make -C "$$d" $@ ; \
@@ -323,9 +323,9 @@
     esac
 
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/antlr.astframe.dll :: 
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.astframe.dll :: 
 	@ subdir="lib/csharp/antlr.astframe" ; \
     case $(subdir) in \
 	  $$subdir ) ;; \
-	  * ) d="/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/$$subdir" ; \
+	  * ) d="/usr/neuro/local/yao/yao9/share/antlr-2.7.7/$$subdir" ; \
         test -f "$$d/Makefile" && {  \
          /usr/bin/make -C "$$d" $@ ; \
@@ -335,9 +335,9 @@
 
 
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/antlr/antlr.jar ::
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/antlr/antlr.jar ::
 	@ subdir="antlr" ; \
     case $(subdir) in \
 	  $$subdir ) ;; \
-	  * ) d="/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/$$subdir" ; \
+	  * ) d="/usr/neuro/local/yao/yao9/share/antlr-2.7.7/$$subdir" ; \
         test -f "$$d/Makefile" && {  \
          /usr/bin/make -C "$$d" $@ ; \
@@ -347,9 +347,9 @@
 
 
-/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/lib/cpp/src/libantlr.a ::
+/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/cpp/src/libantlr.a ::
 	@ subdir="lib/cpp/src" ; \
     case $(subdir) in \
 	  $$subdir ) ;; \
-	  * ) d="/dsk/l1/eberhartp/YAO/trunk/yao/share/antlr-2.7.7/$$subdir" ; \
+	  * ) d="/usr/neuro/local/yao/yao9/share/antlr-2.7.7/$$subdir" ; \
         test -f "$$d/Makefile" && {  \
          /usr/bin/make -C "$$d" $@ ; \