Index: /trunk/examples/berrada/sinobad/sinobad1.d
===================================================================
--- /trunk/examples/berrada/sinobad/sinobad1.d	(revision 24)
+++ /trunk/examples/berrada/sinobad/sinobad1.d	(revision 25)
@@ -366,5 +366,5 @@
 ctin	 sb     		4	from	sa_c			1  i 	j    k
 
-#---------->eos
+#---------->eos!
 ctin	 rhd			1	from	tb			1  i 	j    k    t
 ctin	 rhd			2	from	sb			1  i 	j    k    t
@@ -373,5 +373,5 @@
 
 
-#---------->dynadv_cen2
+#---------->dynadv_cen2! ensemble
 ctin	hmf_TF_dynadv_cen2	1	from	ua			1  i    j    k    t-1
 ctin	hmf_TF_dynadv_cen2	2	from	ua			1  i+1  j    k    t-1
@@ -590,124 +590,138 @@
 #---------->sbcgyre
       order YA2 YA1
-      	    sbcgyre_qsr_qns sbcgyre_emp1 sbcgyre_zsumemp_zsurf
-      forder
-      order YA2 YA1
-      	    sbcgyre_emp sbcgyre_emps sbcgyre_utau_vtau sbcgyre_wndm
-      forder
-#---------->bn2
-      order YA3 YA2 YA1
+      	    sbcgyre_qsr_qns 
+	    sbcgyre_emp1 //
+	    sbcgyre_zsumemp_zsurf
+      forder
+      order YA1 YA2
+      	    sbcgyre_emp sbcgyre_emps 
+	    sbcgyre_utau_vtau //
+	    sbcgyre_wndm
+      //forder
+#---------->bn2!
+      //order YA1 YA2 YA3
+      order YA3
       	    bn2_rn2
-      forder
-#---------->zdf
-      order YA3 YA2 YA1
+      forder 
+      forder 
+#---------->zdf!
+      order YA1 YA2 YA3
       	    zdf_avt_avmu_avmv
       forder
-      order YA2 YA1
+      order YA1 YA2
       	    zdfmxl_hmld zdfmxl_nmln_hmlp_hmlpt
       forder
-#---------->trasbc
-      order YA2 YA1
+#---------->trasbc!
+      order YA1 YA2
       	    ta_sa_trasbc
       forder
-#---------->traqsr
-      order YA3 YA2 YA1
+#---------->traqsr!
+      order YA1 YA2 YA3
       	    ta_traqsr
       forder
-#------> traadv_cen2
-      order YA3  
-      	    order YA2 YA1
+#------> traadv_cen2! separer entre le deux premier
+      order YA1 YA2 YA3
       	    	  zcent_hor_traadv_cen2 zcens_hor_traadv_cen2
-	    forder
-	    order YA2 YA1
+      forder
+      order YA1 YA2 YA3
 	    	  ta_hor_traadv_cen2   sa_hor_traadv_cen2
-	    forder
-      forder
-
-      order YA3 YA2 YA1
+      forder
+
+      order YA1 YA2 YA3
       	    zcent_ver_traadv_cen2 zcens_ver_traadv_cen2
       forder
-      order YA3 YA2 YA1
+      order YA1 YA2 YA3
       	    ta_ver_traadv_cen2 sa_ver_traadv_cen2
       forder
 
-#------> traldf_lap
-      order YA3 YA2 YA1
+#------> traldf_lap! separer
+      order YA1 YA2 YA3
       	    ztuv_traldf_lap zsuv_traldf_lap
+      forder
+      order YA1 YA2 YA3
 	    ta_traldf_lap sa_traldf_lap
       forder
-#------> trazdf_imp
-      order YA3 YA2 YA1
+#------> trazdf_imp!
+      order YA1 YA2 YA3
       	    zwisd_trazdf_imp zrhs_trazdf_imp zrhs_sa_trazdf_imp
       forder
-      order YA3 YA2 YA1
+      order YA1 YA2 YA3
       	    zwt_trazdf_imp ta_de_trazdf_imp  sa_de_trazdf_imp
       forder
-      order YB3 YA2 YA1
+      order YA1 YA2 YB3
       	    ta sa 
       forder
-#---------->tra_nxt
-      order YA3 YA2 YA1
+#---------->tra_nxt!
+      order YA1 YA2 YA3
       	    tb sb
-      forder
+    //  forder
 #---------->eos
-      order YA3 YA2 YA1
+      //order YA1 YA2 YA3
       	    rhd rhop
-      forder
+//      forder
 #------> dynadv_cen2
-	 order YA3  
-	      order YA2 YA1
+//	 order YA3  
+//	      order YA2 YA1
 	      	    hmf_TF_dynadv_cen2
 	      forder
-	      order YA2 YA1
+	      order YA1 YA2 YA3
 	      	   zua_dhmf_dynadv_cen2 zva_dhmf_dynadv_cen2 
 	      forder
-	  forder
-
-	   order YA3 YA2 YA1
+//	  forder
+
+	   order YA1 YA2
+	      order YA3
 	 	 zfuv_UW_dynadv_cen2
-	   forder
-	   order YA3 YA2 YA1
+	      forder
+	   //order YA3 YA2 YA1
+	      order YA3
 	      	 ua_dynadv_cen2 va_dynadv_cen2
-	   forder
+//	      forder
+//	   forder
 #------> vor_ene && dyn_ldf_lap
-	 order YA3  
-	      order YA2 YA1
+//	 order YA3  
+//	      order YA2 YA1
 	      	    zwxyz_vor_ene
 	      forder
-	      order YA2 YA1
+	    forder
+	      order YA1 YA2 YA3
 	      	    ua_vor_ene va_vor_ene
 		    ua_dyn_ldf_lap va_dyn_ldf_lap
-	      forder
+	      //forder
 	 forder
 #---------->dyn__hpg_zco
-	 order YA3 YA2 YA1
+	 order YA1 YA2 YA3
 	       zhpij_dyn_hpg_zco ua_dyn_hpg_zco va_dyn_hpg_zco
 	 forder
 #---------->dynzdf_imp
-      order YA3 YA2 YA1
+      order YA1 YA2 
+	order YA3
       	    zwisd_ua_dynzdf_imp zwisd_va_dynzdf_imp
 	    zrhs_ua_dynzdf_imp zrhs_va_dynzdf_imp
-      forder
-      order YA3 YA2 YA1
+      //forder
+      //order YA3 YA2 YA1
       	    zwt_ua_dynzdf_imp ua_de_dynzdf_imp
       	    zwt_va_dynzdf_imp va_de_dynzdf_imp
-      forder
-      order YB3 YA2 YA1
+	forder
+	order YB3
       	    ua_dynzdf_imp va_dynzdf_imp 
-      forder
-      order YA3 YA2 YA1
+	forder
+      order YA3
       	    ua_norm_dynzdf va_norm_dynzdf
       forder
+      forder
 #---------->dynspg_flt
-      order YA2 YA1
+      order YA1 YA2
       	    spguv_now_dynspg
-      forder
-      order YA3 YA2 YA1
+//      forder
+      //order YA3 YA2 YA1
+	order YA3
       	    ua_1_dynspg_flt va_1_dynspg_flt
-      forder
-      order YA2 YA1
+	forder
+      //order YA2 YA1
       	    sum_spgu_dynspg_flt sum_spgv_dynspg_flt
       forder
-      order YA2 YA1
+      
+      order YA1 YA2
       	    gcb_dynspg_flt gcx_dynspg_flt
       forder
@@ -715,5 +729,5 @@
       	    solsor_dynspg_flt
       forder
-      order YA2 YA1
+      order YA1 YA2
       	    gcx2
       forder
@@ -721,21 +735,23 @@
       	    spguv_dynspg_flt
       forder
-      order YA3 YA2 YA1
+      order YA1 YA2 YA3
       	    ua va
       forder
-      order YA2 YA1
+      order YA1 YA2
       	    sshn sshb
       forder
 #---------->dyn_nxt
-      order YA3 YA2 YA1
+      order YA1 YA2 
+	order YA3
       	    ub vb
-      forder
+      //forder
 #---------->divcur
-      order YA3 YA2 YA1
+      //order YA3 YA2 YA1
       	    hdivn rotn
-      forder
+	forder
 #---------->wzv
-      order YB3 YA2 YA1
+	order YB3
       	    wa
+      forder
       forder
 forder
Index: /trunk/examples/berrada/sinobad/sinobad1.i
===================================================================
--- /trunk/examples/berrada/sinobad/sinobad1.i	(revision 24)
+++ /trunk/examples/berrada/sinobad/sinobad1.i	(revision 25)
@@ -18,5 +18,5 @@
 FORWARD
 #savestate mod_name       ns  ijk   pdt  coding  format  file_name
-#savestate ta  1   ijk   0    A       3       ./data_out/test.pof
+savestate ta  1   ijk   50    A       3       ./data_out/test.pof
 xcomparYF
 end