Index: /trunk/yao/src/interface/src/DefvalWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/DefvalWindow.cpp	(revision 70)
+++ /trunk/yao/src/interface/src/DefvalWindow.cpp	(revision 71)
@@ -163,4 +163,25 @@
 
 /****************************************************************************************/
+void DefvalWindow::ouvrirProjetExistant() {
+
+  fd = new QFileDialog(this);
+  QStringList filtres;
+
+  fd->setDirectory(".");
+  fd->setFileMode (QFileDialog::AnyFile);
+  filtres << "*.*"
+          << "Tous les fichiers (*.*)";
+  fd->setFilters(filtres);
+
+     lstF = fd->getSaveFileName();
+}
+/****************************************************************************************************************************/
+QStringList DefvalWindow::getDataDefval() {
+
+     return DefvalData;
+}
+
+
+/****************************************************************************************/
 /*void DefvalWindow::ecrireFichier()
 {
@@ -180,25 +201,5 @@
 }*/
 
-/****************************************************************************************/
-void DefvalWindow::ouvrirProjetExistant() {
-
-  fd = new QFileDialog(this);
-  QStringList filtres;
-
-  fd->setDirectory(".");
-  fd->setFileMode (QFileDialog::AnyFile);
-  filtres << "*.*"
-          << "Tous les fichiers (*.*)";
-  fd->setFilters(filtres);
-
-     lstF = fd->getSaveFileName();
-}
-/****************************************************************************************************************************/
-QStringList DefvalWindow::getDataDefval() {
-
-    
-     return DefvalData;
-}
-
-/****************************************************************************************/
-
+
+/****************************************************************************************/
+
Index: /trunk/yao/src/interface/src/HatNameWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/HatNameWindow.cpp	(revision 70)
+++ /trunk/yao/src/interface/src/HatNameWindow.cpp	(revision 71)
@@ -6,7 +6,7 @@
 
 /*************************************** ImplÃ©mentation du constructeur **************************************************/
-HatNameWindow::HatNameWindow(vector<string> *theHeaderList, string projectName, QWidget *parent): QWidget(parent) {
+HatNameWindow::HatNameWindow(string projectName, QWidget *parent): QWidget(parent) {
  
-        setTheHeaderList(theHeaderList);
+        //setTheHeaderList(theHeaderList);
         localProjectName = projectName + ".h";
         //hatHeaderList = theHeaderList;
@@ -19,5 +19,5 @@
         m_comboHatName          = new QComboBox(this);		       //Champ de selection d'une constante
         m_boutonAjouter         = new QPushButton("Ajouter", this);    //DÃ©claration du bouton "ajouter"
-        m_enregHatName          = new QPushButton("Enregistrer", this);
+        //m_enregHatName          = new QPushButton("Enregistrer", this);
         m_supHatName		= new QPushButton("Supprimer", this) ; //DÃ©claration du bouton "supprimmer"
         m_boutonouvrir          = new QPushButton(this);	       //DÃ©claration du bouton "ouvrir" permettant de selectionner un fichier.
@@ -30,8 +30,8 @@
 		 //m_boutonouvrir->setGeometry(1,1,1,1);
         m_boutonouvrir->raise();
-        m_quitHatName		= new QPushButton("Quitter", this); //DÃ©claration du bouton "Enreg. et quitter"
+        m_quitHatName		= new QPushButton("Enreg. et quitter", this); //DÃ©claration du bouton "Enreg. et quitter"
 
         m_layoutH1HatName	= new QHBoxLayout; // Un gestionnaire horizontal contenant: 
-                m_layoutH1HatName->addWidget(m_enregHatName);
+                //m_layoutH1HatName->addWidget(m_enregHatName);
                 m_layoutH1HatName->addWidget(m_supHatName); //le bouton supprimer
                 m_layoutH1HatName->addWidget(m_quitHatName);//et le bouton quitter
@@ -39,15 +39,12 @@
 	 m_layoutH2HatName	= new QHBoxLayout ; // Un gestionnaire horizontal contenant: 
             m_layoutH2HatName->addWidget(m_comboHatName); 		//(1): Un afficheur de texte.
-            m_layoutH2HatName->addItem(m_spacer);    //(2): Un champ de saisie du nom du projet.
+            //m_layoutH2HatName->addItem(m_spacer);    //(2): Un champ de saisie du nom du projet.
             m_layoutH2HatName->addWidget(m_boutonouvrir);	//(3): Un bouton "ouvrir" permettant de selectionner un fichier stockÃ©.
 
         m_layoutModelHatName	= new QVBoxLayout ; //Gestionnaire principal de la fenetre.
-        //string test = projectName;
-        //setFileList(projectName + ".h");
-           //for(vector<string>::iterator it = hatHeaderList.begin(); it != hatHeaderList.end(); it++)
-               listeFichiers << localProjectName.c_str();
+           for(QStringList::iterator it = listeFichiers.begin(); it != listeFichiers.end(); it++)
+               listeFichiers << *it;//localProjectName.c_str();
         //listeFichiers.append(it.c_str());
         modeleFichiers = new QStringListModel(listeFichiers);
-
 
         //m_layoutV1HatName->addWidget(m_boutonAjouter);
@@ -60,5 +57,5 @@
                 m_layoutH3HatName->addWidget(m_boutonAjouter);
 
-                m_layout1HatName		= new QFormLayout ;
+                m_layout1HatName = new QFormLayout ;
                 m_layout1HatName->addRow(m_texte);
                 m_layout1HatName->addRow(m_layoutH2HatName);
@@ -76,9 +73,9 @@
         
 	connect(m_quitHatName, SIGNAL(clicked()), this, SLOT(close()));
-        connect(m_supHatName, SIGNAL(clicked()), this, SLOT(appelSup()));
+        connect(m_supHatName, SIGNAL(clicked()), this, SLOT(deleteHatRow()));
         connect(m_boutonouvrir , SIGNAL(clicked()), this, SLOT(ouvrirProjetExistant()));
         connect(m_quitHatName, SIGNAL(clicked()), this, SLOT(ecrireFichier()));
         connect(m_enregHatName, SIGNAL(clicked()), this, SLOT(appelEnregistrer()));
-        connect(m_boutonAjouter, SIGNAL(clicked()), this, SLOT(appelAjout()));
+        connect(m_boutonAjouter, SIGNAL(clicked()), this, SLOT(addHatRow()));
 }
 
@@ -94,12 +91,4 @@
     return m_comboHatName->currentText().toStdString();
 }
-/************************************ ImplÃ©mentation de la mÃ©thode appelEnregistrer() ************************************/
-void HatNameWindow::appelEnregistrer() {
-        //hatHeaderList->clear();
-	//listeFichiers.removeFirst();
-        for(QStringList::iterator it=listeFichiers.begin(); it!=listeFichiers.end(); it++)
-                hatHeaderList.push_back(it->toStdString());
-}
-
 /************************************** ImplÃ©mentation de la mÃ©thode setFileList *****************************************/
 void HatNameWindow::setFileList(string localString) {
@@ -114,5 +103,5 @@
 /****************************************************************************************/
 
-void HatNameWindow::appelAjout() {
+void HatNameWindow::addHatRow() {
 
 hatFile = getNomFichierHat();
@@ -143,6 +132,4 @@
             hatFile.append(".h");
             QString fichier = hatFile.c_str();
-            //setFileList();
-            //listeFichiers.removeFirst();
             listeFichiers.append(fichier);
 
@@ -161,16 +148,9 @@
       }
 
-QString fichier = hatFile.c_str();
-listeFichiers.append(fichier);
-
-modeleFichiers->setStringList(listeFichiers);
-testPresenceFichier();
-
-
 initialiserChamps();
 }
 
 /****************************************************************************************/
-void HatNameWindow::appelSup() {
+void HatNameWindow::deleteHatRow() {
 
     QItemSelectionModel *selection = vueFichiers->selectionModel();
@@ -190,16 +170,10 @@
 }
 
-/****************************************************************************************/
-void HatNameWindow::ecrireFichier()
-{
-    QFile file(cheminFichier);
-       /*if (!file.open(QIODevice::Append)) {
-                std::cerr << "Ouverture impossible en Ã©criture: "
-                        << qPrintable(file.errorString()) << std::endl;
-
-        }*/
-
-//QTextStream out(&file);
-
+/************************************ ImplÃ©mentation de la mÃ©thode appelEnregistrer() ************************************/
+void HatNameWindow::appelEnregistrer() {
+        //hatHeaderList->clear();
+	//listeFichiers.removeFirst();
+        for(QStringList::iterator it=listeFichiers.begin(); it!=listeFichiers.end(); it++)
+                hatHeaderList.push_back(it->toStdString());
 }
 
@@ -223,13 +197,17 @@
 vector<string> HatNameWindow::getTheHeaderList() {
 
-    hatHeaderList.push_back("test");
+    //hatHeaderList.push_back("test");
     return hatHeaderList;
  }
 
 /****************************************************************************************/
-void HatNameWindow::setTheHeaderList(vector<string> *theHeaderList) {
-
-
-
+void HatNameWindow::setTheHeaderList(string theHeaderList) {
+
+	hatHeaderList.push_back(theHeaderList);
  }
-
+/****************************************************************************************/
+QStringList HatNameWindow::getHatName()
+{
+	return listeFichiers;
+    }
+
Index: /trunk/yao/src/interface/src/Include/HatNameWindow.h
===================================================================
--- /trunk/yao/src/interface/src/Include/HatNameWindow.h	(revision 70)
+++ /trunk/yao/src/interface/src/Include/HatNameWindow.h	(revision 71)
@@ -2,7 +2,4 @@
 #define HATNAME_H
 
-//#include <iostream>
-//#include <QWidget>
-//#include <QTextStream>
 #include <QVBoxLayout>
 #include <QPushButton>
@@ -12,5 +9,4 @@
 #include <QStandardItemModel>
 #include <QTableWidget>
-//#include <QString>
 #include <QMessageBox>
 #include <QFileDialog>
@@ -18,5 +14,4 @@
 #include <QStringListModel>
 #include <QComboBox>
-//#include <QIODevice>
 #include <QStringList>
 #include <QSpacerItem>
@@ -45,9 +40,9 @@
              */
 
-            HatNameWindow(std::vector<std::string> *theHeaderList, std::string projectName = NULL, QWidget *parent=0);
+            HatNameWindow(std::string projectName = NULL, QWidget *parent=0);
             void setNomFichierHat(QString nomFichierHat);                       /*!< This function sets the file's name. */
             std::string getNomFichierHat();                                         /*!< This function returns the fil's name */
             void testPresenceFichier();
-
+	    QStringList getHatName();
             /*!
              *  \brief SLOT functions
@@ -60,14 +55,13 @@
         public slots :
 
-                void appelAjout();              /*!< This function is called to insert data in the model. */
-                void appelSup();                /*!< This function is called to delete data from the model. */
+                void addHatRow();               /*!< This function is called to insert data in the model. */
+                void deleteHatRow();            /*!< This function is called to delete data from the model. */
                 void initialiserChamps();       /*!< This function is called to initialize the lineEdit. */
-                void ecrireFichier();           /*!< This function is called to write data in file model. */
+                //void ecrireFichier();           /*!< This function is called to write data in file model. */
                 void ouvrirProjetExistant();    /*!< This function is called to open an existing project. */
                 void appelEnregistrer();        /*!< This function is called to save the current project in the file model */
                 void setFileList(std::string localString);
-                void setTheHeaderList(std::vector<std::string> *theHeaderList);
+                void setTheHeaderList(std::string theHeaderList);
                 std::vector<std::string>  getTheHeaderList();
-
             /*!
              *  \brief private functions
Index: /trunk/yao/src/interface/src/Include/MainWindowController.h
===================================================================
--- /trunk/yao/src/interface/src/Include/MainWindowController.h	(revision 70)
+++ /trunk/yao/src/interface/src/Include/MainWindowController.h	(revision 71)
@@ -26,8 +26,17 @@
         public :
                 MainWindowController();
+
+                void setDefval();
                 DefvalWindow *getDefval();
-                void setDefval();
-                void setProjectName(std::string projectName);
-                std::string getProjectName();
+
+                void setProjectNameInMWC(std::string projectName);
+                std::string getProjectNameFromMWC();
+
+                void setFileListController(std::string fileController);
+                void setTheHeaderList(string theHeaderListSring);
+
+                std::vector<std::string> getTheHeaderList();
+                void setFileListController();
+
                 HatNameWindow *getHatName();
                 OptionWindow *getOption();
@@ -40,14 +49,10 @@
                 OrderWindow *getOrder();
                 InsertFCTWindow *getInsertFCT();
-                void setFileListController(std::string fileController);
-                void setTheHeaderList(string theHeaderListSring);
-                std::vector<std::string> getTheHeaderList();
-                void setFileListController();
                 NewProjectWindow *getNewProjectInstance();
                 NewProjectWindow *getNP();
+
                 SpaceController *getSpaceController();
 
                 yao::Table<yao::Trajectory> getTheTrajectoryTable();
-
 
 		
Index: /trunk/yao/src/interface/src/MainWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/MainWindow.cpp	(revision 70)
+++ /trunk/yao/src/interface/src/MainWindow.cpp	(revision 71)
@@ -24,5 +24,5 @@
         espace = new QWorkspace;    //CrÃ©e un espace de travail. Ici, Ã§a serait notre zone centrale
 
-        copyProjectName = mwc.getProjectName();
+        //copyProjectName = mwc.getProjectName();
 
         fenetreProjet                 = new QDockWidget("Projet", this);// RÃ©servation de l'espace pour la fenÃªtre projet
@@ -390,26 +390,30 @@
         if(!description.is_open())
                 throw ofstream::failure("couldn't create " + filename);
-       
+
        for (QStringList::iterator it = m_defvalCopy->getDataDefval().begin(); it != m_defvalCopy->getDataDefval().end(); it++)
             description << "defval " << it->toStdString() << endl;
-
-       //for(vector<string>::iterator it = theHeaderList.begin(); it != theHeaderList.end(); it++)
-         //      description << "hat_name \"" << it->c_str() << "\"" << endl;
-           //        description << endl;
+            description << endl;
+
+       for(QStringList::iterator it = m_hatCopy->getHatName().begin(); it != m_hatCopy->getHatName().end(); it++)
+               description << "hat_name \"" << it->toStdString() << "\"" << endl;
+                   description << endl;
 
        for (QStringList::iterator it = m_trajCopy->getDataTraj().begin(); it != m_trajCopy->getDataTraj().end(); it++)
            description << "traj " << it->toStdString() << endl;
+            description << endl;
 
       for (QStringList::iterator it = m_spaceCopy->getData().begin(); it != m_spaceCopy->getData().end(); it++)
-            description << it->toStdString() << endl;
+            description << "space " << it->toStdString() << endl;
+            description << endl;
 
        for (QStringList::iterator it = m_ctinCopy->getDataCtin().begin(); it != m_ctinCopy->getDataCtin().end(); it++)
            description << "ctin " << it->toStdString() << endl;
-
-    //genererDefval();
+            description << endl;
+
+     //genererDefval();
     //genererHat();
     //genererSpace();
 
-    description.close();
+    //description.close();
 }
 
Index: /trunk/yao/src/interface/src/MainWindowController.cpp
===================================================================
--- /trunk/yao/src/interface/src/MainWindowController.cpp	(revision 70)
+++ /trunk/yao/src/interface/src/MainWindowController.cpp	(revision 71)
@@ -12,5 +12,5 @@
 
 /*******************************************************************************************************************************************************/
-void MainWindowController::setProjectName(string name ) {
+void MainWindowController::setProjectNameInMWC(string name ) {
 
     m_projectNameInMWC = name;
@@ -18,6 +18,6 @@
 
 /*******************************************************************************************************************************************************/
-string MainWindowController::getProjectName() {
-
+string MainWindowController::getProjectNameFromMWC() {
+    setProjectNameInMWC(np->getNewProjectName());
   return m_projectNameInMWC;
 }
@@ -43,5 +43,5 @@
 HatNameWindow *MainWindowController::getHatName() {
 
-    return m_hat = new HatNameWindow(&m_theHeaderList, np->getNewProjectName());
+    return m_hat = new HatNameWindow(np->getNewProjectName());
 
 }
@@ -137,5 +137,5 @@
 //std::string MainWindowController::getNewProjectName() {
 	
-//	return
+  //      return;
 //}
 
Index: /trunk/yao/src/interface/src/ModulWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 70)
+++ /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 71)
@@ -61,10 +61,12 @@
         //-----------------------------------------------
 
-        horizontalLayoutWidgetOut = new QWidget(centralWidget);
-        horizontalLayoutWidgetOut->setGeometry(QRect(10, 110, 300, 81));
-        horizontalLayoutOut = new QHBoxLayout(horizontalLayoutWidgetOut);
-        horizontalLayoutOut->setSpacing(6);
-        horizontalLayoutOut->setMargin(11);
-        horizontalLayoutOut->setContentsMargins(0, 0, 0, 0); 
+    //Les gestionnaires de positionnement
+    	m_modulLayout->addRow("Modul name: ", m_modulName);
+    	m_modulLayout->addRow("Spacename (or operaname): ", m_SpaceOrOperaName);
+    	m_modulLayout->addRow("Input: ", m_modulInput);
+	m_modulLayout->addRow("Input: ", m_modulOutput);
+	m_modulLayout->addRow("Tempo: ", m_modulTempo);
+        m_modulLayout->addRow("Cout ", m_modulCout);
+	m_modulLayout->addRow(m_modulLayoutH1);
 
         /*labelOutput = new QLabel("Output:",horizontalLayoutWidgetOut);