Index: /trunk/yao/src/interface/src/Include/OptionWindow.h
===================================================================
--- /trunk/yao/src/interface/src/Include/OptionWindow.h	(revision 97)
+++ /trunk/yao/src/interface/src/Include/OptionWindow.h	(revision 98)
@@ -1,5 +1,5 @@
 /*
-  Nom du Fichier: .
-  Nom de classe:
+  Nom du Fichier: OptionWindow.h
+  Nom de classe: OptionWindow
   Role:
   Nombre de methodes:
@@ -14,28 +14,39 @@
 #include <QString>
 #include <QFileDialog>
+#include <QPushButton>
+#include <QTableView>
+
 
 class OptionWindow : public QWidget {
     Q_OBJECT
     public :
-            OptionWindow(QWidget *parent=0);
+            	OptionWindow(QWidget *parent=0);
 
     private slots:
 
-            void enregistrerOption();
-            void ouvrirProjetExistant3();
-            void ecrireFichier3();
+            	void enregistrerOption();
+            	void ouvrirProjetExistant3();
+            	void ecrireFichier3();
 
     private :
-            QComboBox  *m_NomOption;
+            	QComboBox  *m_NomOption;
+            
+		QPushButton *m_optionAddButton;
+		QPushButton *m_optionDeleteButton;
+            	QPushButton *m_enregOption;
+	        QPushButton *m_quitOption;
+		QPushButton *m_optionHelpButton;
+            	
 
-            QPushButton *m_enregOption;
-            QPushButton *m_boutonCheminProjet;
-            QPushButton *m_quitOption;
 
-            QFormLayout *m_layout1Option;
-            QHBoxLayout *m_layoutHOption;
-            QVBoxLayout *m_layoutPrincipalOption;
-            QFileDialog *projetOption;
-            QString m_cheminProjetOption;
+            	QFormLayout *m_optionLayout;
+            	QHBoxLayout *m_optionLayoutH1;
+		QHBoxLayout *m_optionLayoutH2;
+            	QVBoxLayout *m_optionLayoutV1;
+            	QFileDialog *projetOption;
+            	QString m_cheminProjetOption;
+		
+		QTableView *m_optionTableView;
+		
 };
 #endif // OPTIONWINDOW_H
Index: /trunk/yao/src/interface/src/MainWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/MainWindow.cpp	(revision 97)
+++ /trunk/yao/src/interface/src/MainWindow.cpp	(revision 98)
@@ -257,5 +257,5 @@
         m_optionCopy->hide();
        connect(m_optionButton, SIGNAL(clicked()), m_optionCopy, SLOT(show()));
-       connect(m_hatNameButton, SIGNAL(clicked()), m_hatCopy, SLOT(()));
+       connect(m_optionButton, SIGNAL(clicked()), this, SLOT(changeColorOptionButton()));
 
      m_trajButton      = new QPushButton(tr("Traj"), this);
Index: /trunk/yao/src/interface/src/OptionWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/OptionWindow.cpp	(revision 97)
+++ /trunk/yao/src/interface/src/OptionWindow.cpp	(revision 98)
@@ -1,4 +1,4 @@
 /*
-  Nom du Fichier: .
+  Nom du Fichier: OptionWindow.cpp
   Nom de classe:
   Role:
@@ -12,43 +12,65 @@
 OptionWindow::OptionWindow(QWidget *parent) : QWidget(parent) {
 
-   this->setWindowTitle("Le parametre Option");
-    m_layout1Option         = new QFormLayout;
-    m_layoutHOption         = new QHBoxLayout;
-    m_layoutPrincipalOption = new QVBoxLayout;
-    m_NomOption             = new QComboBox;
-    m_enregOption           = new QPushButton("Enregistrer");
-    m_boutonCheminProjet    = new QPushButton("...");
-    m_quitOption            = new QPushButton("Fermer");
+   this->setWindowTitle("La directive Option");
+    	m_optionLayout          = new QFormLayout;
+    	m_optionLayoutH1        = new QHBoxLayout;
+	m_optionLayoutH2        = new QHBoxLayout;
+    	m_optionLayoutV1	= new QVBoxLayout;
+	m_NomOption             = new QComboBox;
+	m_optionAddButton	= new QPushButton("Ajouter", this);
+	m_optionDeleteButton	= new QPushButton("Supprimer", this);        
+	m_enregOption           = new QPushButton("Enregistrer" , this);
+	//m_optionHelpButton	= new QPushButton("De l'aide ?" , this);
+    	m_quitOption            = new QPushButton("Quitter", this);
 
-        m_NomOption->insertItem(1, "O_NETWARD");
-        m_NomOption->insertItem(2, "O_REAL");
-        m_NomOption->insertItem(3, "O_M1QN3");
-        m_NomOption->insertItem(4, "O_VARINCR");
-        m_NomOption->insertItem(5, "O_EXTOBJ");
-        m_NomOption->insertItem(6, "O_GRADTEST");
-        m_NomOption->insertItem(7, "O_DBG_TING");
-        m_NomOption->insertItem(8, "O_DBG_BETA");
-        m_NomOption->insertItem(9, "O_DBG_NANF");
-        m_NomOption->insertItem(10, "O_DBG_TRC_FWARD");
-        m_NomOption->insertItem(11, "O_DBG_TRC_BWARD");
-        m_NomOption->insertItem(12, "O_DBG_TRC_LWARD");
-        m_NomOption->insertItem(13, "O_DBG_TRC_AWARD");
+		m_NomOption->insertItem(1, "O_M1QN3");        
+		m_NomOption->insertItem(2, "O_NETWARD");
+        	m_NomOption->insertItem(3, "O_REAL");
+        	m_NomOption->insertItem(4, "O_VARINCR");
+        	m_NomOption->insertItem(5, "O_EXTOBJ");
+        	m_NomOption->insertItem(6, "O_GRADTEST");
+        	m_NomOption->insertItem(7, "O_DBG_TING");
+        	m_NomOption->insertItem(8, "O_DBG_BETA");
+        	m_NomOption->insertItem(9, "O_DBG_NANF");
+        	m_NomOption->insertItem(10, "O_DBG_TRC_FWARD");
+        	m_NomOption->insertItem(11, "O_DBG_TRC_BWARD");
+        	m_NomOption->insertItem(12, "O_DBG_TRC_LWARD");
+        	m_NomOption->insertItem(13, "O_DBG_TRC_AWARD");
 
-        connect(m_enregOption, SIGNAL(clicked()), this, SLOT(ecrireFichier3()));
-        connect(m_boutonCheminProjet, SIGNAL(clicked()), this, SLOT(enregistrerOption()));
+	m_optionTableView = new QTableView ;   
+
+	
+	m_optionLayoutV1	= new QVBoxLayout;
+		m_optionLayoutV1->addWidget(m_optionAddButton);
+		m_optionLayoutV1->addWidget(m_optionDeleteButton);
+ 	
+	m_optionLayoutH1	= new QHBoxLayout ;     
+		m_optionLayoutH1->addWidget(m_optionTableView);
+		m_optionLayoutH1->addLayout(m_optionLayoutV1);
+
+	m_optionLayoutH2	= new QHBoxLayout; 
+		m_optionLayoutH2->addWidget(m_enregOption);
+		m_optionLayoutH2->addWidget(m_quitOption);
+
+	
+	//Les gestionnaires de positionnement
+	m_optionLayout		= new QFormLayout; 	
+		m_optionLayout->addRow("Option name: ", m_NomOption);
+		m_optionLayout->addRow(m_optionLayoutH1);
+		m_optionLayout->addRow(m_optionLayoutH2);
+	// m_layout1Option->addRow("Chemin ", m_boutonCheminProjet);
+	
+
+    //m_layoutPrincipalOption->addLayout(m_layout1Option);
+    //m_layoutPrincipalOption->addLayout(m_layoutHOption);
+    
+	this->setLayout(m_optionLayout);
+    
+
+	connect(m_enregOption, SIGNAL(clicked()), this, SLOT(ecrireFichier3()));
         connect(m_quitOption, SIGNAL(clicked()), this, SLOT(close()));
-
-
-    //Les gestionnaires de positionnement
-    m_layout1Option->addRow("Option name: ", m_NomOption);
-    m_layout1Option->addRow("Chemin ", m_boutonCheminProjet);
-    m_layoutHOption->addWidget(m_enregOption);
-    m_layoutHOption->addWidget(m_quitOption);
-
-
-    m_layoutPrincipalOption->addLayout(m_layout1Option);
-    m_layoutPrincipalOption->addLayout(m_layoutHOption);
-    this->setLayout(m_layoutPrincipalOption);
-    //this->show();
+        //connect(m_boutonCheminProjet, SIGNAL(clicked()), this, SLOT(enregistrerOption()));
+	
+	//this->show();
 
 }