Index: /trunk/yao/src/interface/src/ModulWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 360)
+++ /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 361)
@@ -28,5 +28,5 @@
 
 	QRegExp regExp("[A-Za-z_][A-Za-z1-9_]{0,}"); 
-	m_lineModulName->setValidator(new QRegExpValidator(regExp, this));
+	m_modulNameLine->setValidator(new QRegExpValidator(regExp, this));
 	m_comboModulOpera->setDisabled(true);
 	m_comboModulTarget->insertItem(0, " ");
Index: /trunk/yao/src/interface/src/OperaWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/OperaWindow.cpp	(revision 360)
+++ /trunk/yao/src/interface/src/OperaWindow.cpp	(revision 361)
@@ -52,6 +52,6 @@
 		m_operaTrajname->insertItem(1, QString(it->getName().c_str()));
 	
-	modeleOpera                      	= new QStandardItemModel(0, 3) ;
-                modeleOpera->setHorizontalHeaderLabels(QStringList() << "Nom Opera" << "Dimension(s) " << "Nom trajectoire"); //Gives names to the columns.
+	modeleOpera                      	= new QStandardItemModel(0, 4) ;
+                modeleOpera->setHorizontalHeaderLabels(QStringList() << "Nom Opera" << "Type" << "Dimension(s) " << "Trajectoire"); //Gives names to the columns.
 
 		m_operaTableView->setModel(modeleOpera); /*!< The view takes model.*/
@@ -67,6 +67,6 @@
             	
 	    modeleOpera->setItem(row, 0, new QStandardItem(QString(it->getProperty(0).c_str()))); /*!< Gets the Opera name.*/
-            modeleOpera->setItem(row, 1, new QStandardItem(QString(it->getProperty(1).c_str()))); /*!< Gets the Opera dimension (1, 2 or 3).*/
-            modeleOpera->setItem(row, 2, new QStandardItem(QString(it->getProperty(2).c_str()))); /*!< Gets the trajectory choosed in the Opera directive.*/
+            modeleOpera->setItem(row, 2, new QStandardItem(QString(it->getProperty(1).c_str()))); /*!< Gets the Opera dimension (1, 2 or 3).*/
+            modeleOpera->setItem(row, 3, new QStandardItem(QString(it->getProperty(2).c_str()))); /*!< Gets the trajectory choosed in the Opera directive.*/
           }
 
@@ -179,6 +179,6 @@
 
 		modeleOpera->setItem(row, 0, new QStandardItem(m_operaNameLine->text()));
-            	modeleOpera->setItem(row, 1, new QStandardItem(QString(dim.c_str())));
-		modeleOpera->setItem(row, 2, new QStandardItem(m_operaTrajname->currentText()));
+            	modeleOpera->setItem(row, 2, new QStandardItem(QString(dim.c_str())));
+		modeleOpera->setItem(row, 3, new QStandardItem(m_operaTrajname->currentText()));
 		
 		if (!(d1.empty() || d2.empty() || d3.empty())) {
Index: /trunk/yao/src/interface/src/ui_/modulwindow.ui
===================================================================
--- /trunk/yao/src/interface/src/ui_/modulwindow.ui	(revision 360)
+++ /trunk/yao/src/interface/src/ui_/modulwindow.ui	(revision 361)
@@ -45,10 +45,10 @@
        </property>
        <property name="buddy">
-        <cstring>m_lineModulName</cstring>
+        <cstring>m_modulNameLine</cstring>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QLineEdit" name="m_lineModulName"/>
+      <widget class="QLineEdit" name="m_modulNameLine"/>
      </item>
     </layout>
@@ -470,5 +470,5 @@
       <x>10</x>
       <y>70</y>
-      <width>307</width>
+      <width>301</width>
       <height>29</height>
      </rect>
@@ -531,5 +531,5 @@
       <x>660</x>
       <y>40</y>
-      <width>81</width>
+      <width>87</width>
       <height>95</height>
      </rect>
@@ -578,5 +578,5 @@
  </widget>
  <tabstops>
-  <tabstop>m_lineModulName</tabstop>
+  <tabstop>m_modulNameLine</tabstop>
   <tabstop>m_operaRadioButton</tabstop>
   <tabstop>m_lineModulInput</tabstop>
Index: /trunk/yao/src/interface/src/ui_/operawindow.ui
===================================================================
--- /trunk/yao/src/interface/src/ui_/operawindow.ui	(revision 360)
+++ /trunk/yao/src/interface/src/ui_/operawindow.ui	(revision 361)
@@ -110,5 +110,9 @@
         <layout class="QHBoxLayout" name="horizontalLayout_5">
          <item>
-          <widget class="QLineEdit" name="lineEdit"/>
+          <widget class="QLineEdit" name="lineEdit">
+           <property name="text">
+            <string>M</string>
+           </property>
+          </widget>
          </item>
          <item>