Index: /trunk/yao/src/interface/src/ConnectionWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/ConnectionWindow.cpp	(revision 378)
+++ /trunk/yao/src/interface/src/ConnectionWindow.cpp	(revision 379)
@@ -1,5 +1,5 @@
 //! \file    ConnectionWindow.cpp
 //! \brief   Implementation of the Ctin window.
-//! \version 2010/07/02 (yyyy/mm/dd)
+//! \version 2010/07/06 (yyyy/mm/dd)
 //! \author  MAYAKI Abdouramane.
 
@@ -128,4 +128,15 @@
 /********************************************** Implementation of the addCtinRow() method  ************************************************************/
 void ConnectionWindow::addCtinRow() {
+	
+	try
+		{
+		}
+
+	catch (...)
+		{
+			QMessageBox::critical(this, "Erreur", "erreur dans la methode addCtinRow().");
+		}
+	
+
 /*
  static int row = 0;
@@ -214,4 +225,13 @@
 void ConnectionWindow::deleteCtinRow() 
 {
+	try
+		{
+		}
+
+	catch (...)
+		{
+			QMessageBox::critical(this, "Erreur", "erreur dans la suppression d'une ligne dans deleteCtinRow().");
+		}
+	
 
 
Index: /trunk/yao/src/interface/src/ModulWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 378)
+++ /trunk/yao/src/interface/src/ModulWindow.cpp	(revision 379)
@@ -84,9 +84,7 @@
            }
 
-	
 
 	if (m_modulInputLine->text().isEmpty())
 		m_modulArrayCheckBox->setDisabled(true);
-		//cout << "vide! cooool" << endl; 
 	//connect(m_modulInputLine, SIGNAL(textEdited(QString )), this, SLOT(close()));
 	
@@ -104,5 +102,4 @@
 	connect(m_modulOperaRadioButton, SIGNAL(toggled(bool )), m_modulSpaceCombo, SLOT(setDisabled(bool )));
 
-
 	
         connect(m_buttonLoperaAdd, SIGNAL(clicked()), this, SLOT(addLoperaRow()));
@@ -118,35 +115,5 @@
 void ModulWindow::addModulRow() {
 try {
-	/*m_modulSpaceComboName->setCurrentIndex(0); 
-	m_modulOperaComboName->setCurrentIndex(0); 
-	m_modulAutonetCombo->setCurrentIndex(0);
-	m_comboModulClonof->setCurrentIndex(0); 
-	m_comboModulLopera->setCurrentIndex(0);
-	m_checkBoxNoward->setChecked(false);	
-	m_checkBoxTempo->setChecked(false);
-	m_m_modulCoutCheckBox->setChecked(false);
-	m_checkBoxSpec->setChecked(false);
-	m_checkBoxNetward->setChecked(false);
-	m_checkBoxModulHidjac->setChecked(false);
-	m_checkBoxModulManage->setChecked(false);
-	m_modulArrayCheckBox->setChecked(false);
-	*/
-	//filesList.append(m_modulSpaceComboName->currentText());
-	//filesListModele->setStringList(filesList);
-
-	//m_modulNameLine
-	//m_modulSpaceCombo
-	//m_modulOperaCombo
-	//m_modulNowardCheckBox
-	//m_modulInputLine
-	//m_modulOutputLine
-	//m_modulTargetCombo
-	//m_modulAutonetCombo
-	//m_modulInter1Combo
-	//m_modulCoutCheckBox
-	//m_modulNetwardCheckBox
-	//m_loperaListView
-	
-	string 	modulName 	= m_modulNameLine->text().toStdString() ,
+		string 	modulName 	= m_modulNameLine->text().toStdString() ,
 		modulParent,
 		input		= m_modulInputLine->text().toStdString(),
@@ -156,9 +123,4 @@
 	
 	int row = m_modulModel->rowCount();
-	/*if (!localMwc->isIntegerLiteral(m_modulAutonetCombo->currentText().toStdString())) { 
-		
-		 QMessageBox::critical(this, "Avertissement", "CaractÃšre(s) non permis dans le champ \"O_PARALLEL\".");
-                 return; // ArrÃªt de la mÃ©thode
-	}*/
 
 	if ((m_modulSpaceRadioButton->isChecked()) && (!m_modulSpaceCombo->currentText().isEmpty()))
@@ -208,6 +170,4 @@
 				m_modulModel->setItem(row, 8, new QStandardItem("non"));
 			}	
-	//	m_modulModel->setItem(row, 2, new QStandardItem(m_modulAutonetCombo->currentText()));  
-	//	m_modulModel->setItem(row, 3, new QStandardItem(m_comboModulClonof->currentText()));  
 		
 		(m_modulSpaceRadioButton->isChecked())? m_localModulTable->push_back(Modul(modulName, m_localSpaceTable->find(modulParent), true)): m_localModulTable->push_back(Modul(modulName, m_localOperaTable->find(modulParent), false));
@@ -215,14 +175,4 @@
 		if (!m_modulNowardCheckBox->isChecked ()) generateModulFile(modulName); 		
 	}
-//	m_modulModel->setItem(row, 4, new QStandardItem(m_comboModulLopera->currentText()));  
-	//if (m_checkBoxNoward->isChecked())
-  // m_checkBoxNoward->isChecked()?m_modulModel->setItem(row, 5, new QStandardItem("oui")):m_modulModel->setItem(row, 5, new QStandardItem("non"));
-   //m_checkBoxTempo->isChecked() ?m_modulModel->setItem(row, 6, new QStandardItem("oui")):m_modulModel->setItem(row, 6, new QStandardItem("non"));
-   //m_m_modulCoutCheckBox->isChecked()?m_modulModel->setItem(row, 7, new QStandardItem("oui")):m_modulModel->setItem(row, 7, new QStandardItem("non"));
-   //m_checkBoxSpec->isChecked()?m_modulModel->setItem(row, 8, new QStandardItem("oui")):m_modulModel->setItem(row, 8, new QStandardItem("non"));  
-   //m_checkBoxNetward->isChecked()?m_modulModel->setItem(row, 9, new QStandardItem("oui")):m_modulModel->setItem(row, 9, new QStandardItem("non"));  
-   //m_checkBoxModulHidjac->isChecked()?m_modulModel->setItem(row, 10, new QStandardItem("oui")):m_modulModel->setItem(row, 10, new QStandardItem("non"));
-   //m_checkBoxModulManage->isChecked()?m_modulModel->setItem(row, 11, new QStandardItem("oui")):m_modulModel->setItem(row, 11, new QStandardItem("non"));
-   //m_modulArrayCheckBox->isChecked()?m_modulModel->setItem(row, 12, new QStandardItem("oui")):m_modulModel->setItem(row, 12, new QStandardItem("non"));  
 
 	toInitialize();
@@ -284,15 +234,54 @@
 /*************************************** ImplÃ©mentation de la mÃ©thode deleteModulRow ****************************************************************/
 void ModulWindow::deleteModulRow() {
-
-	QItemSelectionModel *selection = m_modulTableView->selectionModel();
-	QModelIndex indexElementSelectionne = selection->currentIndex();
+	try 
+		{
+
+/*			
+           if (selection->hasSelection())// Permet de supprimer la ligne qui est selectionnÃ©e. Evite ainsi certains effets indesirables.
+            {
+                   modeleSpace->removeRows(m_spaceTableView->currentIndex().row(), 1);
+                   localSpaceTable->erase(localSpaceTable->begin() + r);
+ 
+           }
+ 
+         if (isSpaceTableEmpty()) m_spaceDeleteButton->setDisabled(true);
+*/
+			//QItemSelectionModel *selection = m_modulTableView->selectionModel();
+			//QModelIndex indexElementSelectionne = selection->currentIndex();
+	
+			//int c = m_tableView->currentIndex().row();//renvoie le numero de la ligne selectionnÃ©e.
+			QItemSelectionModel *selection = m_modulTableView->selectionModel();
+			index = selection->currentIndex();
+			QVariant element = m_modulModel->data(index, Qt::DisplayRole);
+			int r = index.row();
+			if (selection->hasSelection())// Permet de supprimer la ligne qui est selectionnÃ©e. Evite ainsi certains effets indesirables.
+				 {   
+					m_modulModel->removeRows(m_modulTableView->currentIndex().row(), 1); 
+					m_localModulTable->erase(m_localModulTable->begin() + r); 
+    
+					/*for (unsigned int i=0; i < localHeaderList->size(); i++ ) //Parcourt le vecteur de HatName en fonction de sa taille (nombre d'Ã©lÃ©ments)
+						{   
+							//localConstantTable->find(hatFile)->getText(); 
+							if (element.toString().toStdString() == localHeaderList->at(i)) //Teste si l'Ã©lÃ©ment Ã  supprimer dans defval est aussi dans hat
+								localHeaderList->erase(localHeaderList->begin() + i);//localHeaderList->begin() +i );   
+						}   
+					    */
+					//emit rowIsDeleted(element.toString()); // signal emis lorsqu'une ligne est retirÃ©e du tableau. 
+					if(isModulTableEmpty()) m_modulDelButton->setDisabled(true);
+				}   
+		}   
+
+	catch(...) 
+		{
+
+			QMessageBox::critical(this, "Erreur", "erreur dans la suppression d'une ligne dans deleteModulRow().");
+		}    
+
     //	QVariant elementSelectionne = filesListModele->data(indexElementSelectionne, Qt::DisplayRole);
 
      	//filesList.removeOne(elementSelectionne.toString());//Retrait de l'Ã©lÃ©ment sÃ©lectionnÃ© de l'objet QStringList
      	//filesListModele->setStringList(filesList); //On indique au modÃšle la liste des Ã©lÃ©ments Ã  afficher.
-
-	
-}
-
+	
+}
 
 /*****************************************************************************************************************************/
Index: /trunk/yao/src/interface/src/SpaceWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/SpaceWindow.cpp	(revision 378)
+++ /trunk/yao/src/interface/src/SpaceWindow.cpp	(revision 379)
@@ -27,21 +27,21 @@
 	setupUi(this);
 
-	localSpaceTable				= aSpaceTable;  /*!< See theSpaceTable in MainWindow.hpp */
-	localTrajectoryTable			= aTrajectory;  /*!< See theTrajectoryTable in MainWindow.hpp */
-	localConstantTable			= aConstantTable; /*!< See theConstantTable in MainWindow.hpp */
+	localSpaceTable			= aSpaceTable;  /*!< See theSpaceTable in MainWindow.hpp */
+	localTrajectoryTable		= aTrajectory;  /*!< See theTrajectoryTable in MainWindow.hpp */
+	localConstantTable		= aConstantTable; /*!< See theConstantTable in MainWindow.hpp */
 	
 	QRegExp regExp("[A-Za-z_][A-Za-z0-9_]*");
-	//QRegExp regExp2("[A-Za-z_][A-Za-z0-9_]*");
 
 	m_spaceNameLine->setValidator(new QRegExpValidator(regExp, this));
-	//m_spaceD1->setValidator(new QRegExpValidator(regExp2, this));
-	if (isSpaceTableEmpty()) m_spaceDeleteButton->setDisabled(true);/*!< To disable the m_spaceDeleteButton if theTrajectoryTable is empty. */
-	
-        	m_spaceD1->setEditable(true);
-		m_spaceD1->insertItem(0,""); 
-		m_spaceD2->setEditable(true);
-		m_spaceD2->insertItem(0,""); 
-		m_spaceD3->setEditable(true);
-		m_spaceD3->insertItem(0,""); 
+
+	if (isSpaceTableEmpty()) 
+		m_spaceDeleteButton->setDisabled(true);/*!< To disable the m_spaceDeleteButton if theTrajectoryTable is empty. */
+	
+	m_spaceD1->setEditable(true);
+	m_spaceD1->insertItem(0,""); 
+	m_spaceD2->setEditable(true);
+	m_spaceD2->insertItem(0,""); 
+	m_spaceD3->setEditable(true);
+	m_spaceD3->insertItem(0,""); 
 
 	for (Table<Constant>::reverse_iterator it = localConstantTable->rbegin(); it != localConstantTable->rend(); it++) {
@@ -53,22 +53,15 @@
 
 	m_spaceTrajname->insertItem(0, "");
+
 	for (Table<Trajectory>::reverse_iterator it = localTrajectoryTable->rbegin(); it != localTrajectoryTable->rend(); it++) 
 		m_spaceTrajname->insertItem(1, QString(it->getName().c_str()));
 
- 	//for (QStringList::iterator it = trajData->getTrajName().begin(); it != trajData->getTrajName().end(); it++)
-             //m_spaceTrajname->addItems(trajData->getDataTraj());//getTrajName()); //it);//->toStdString());
-
-		//m_spaceTrajname->addItem(trajData->);
-    	//m_spaceEnregButton     		= new QPushButton("Enregistrer",this);   /*!< The button "save". */
-	//		m_spaceEnregButton->setDisabled(true);
-			//m_spaceDeleteButton->setDisabled(true);
-	
-	modeleSpace                      	= new QStandardItemModel(0, 3) ;
-                modeleSpace->setHorizontalHeaderLabels(QStringList() << "Nom espace" << "Dimension(s) " << "Nom trajectoire"); //Gives names to the columns.
-
-		m_spaceTableView->setModel(modeleSpace); /*!< The view takes model.*/
-                m_spaceTableView->setEditTriggers(QAbstractItemView::NoEditTriggers); /*!< this ligne give no edit mode*/
-                m_spaceTableView->setShowGrid(false);  /*!< this ligne cover the grille in table */
-                m_spaceTableView->setSelectionBehavior(QAbstractItemView::SelectRows);
+	modeleSpace                    	= new QStandardItemModel(0, 3) ;
+                modeleSpace->setHorizontalHeaderLabels(QStringList() << "Nom espace" << "Dimension(s) " << "Nom trajectoire"); //Names to the columns.
+
+	m_spaceTableView->setModel(modeleSpace); /*!< The view takes model.*/
+	m_spaceTableView->setEditTriggers(QAbstractItemView::NoEditTriggers); /*!< this ligne give no edit mode*/
+	m_spaceTableView->setShowGrid(false);  /*!< this ligne cover the grille in table */
+	m_spaceTableView->setSelectionBehavior(QAbstractItemView::SelectRows);
 		m_spaceTableView->resizeColumnsToContents(); /*!< To optimize the column space. */
 
@@ -94,113 +87,121 @@
 /*************************************  Implementation of function addSpaceRow *************************************************/
 void SpaceWindow::addSpaceRow() {
-
-	int row = modeleSpace->rowCount();//To have the current row of the tableView.
-
-	string name   	= m_spaceNameLine->text().toStdString(),
-        d1   		= m_spaceD1->currentText().toStdString(),
-        d2   		= m_spaceD2->currentText().toStdString(),
-	d3   		= m_spaceD3->currentText().toStdString(),
-	dim		,//= d1 + " " + d2 + " " + d3,
-	traj 		= m_spaceTrajname->currentText().toStdString();
-	
-	vector <int> theShape; 	
-
-	Constant *c1; //Nous crÃ©ons d'abord un pointeur de constante.
-	Constant *c2; //Nous crÃ©ons d'abord un pointeur de constante.
-	Constant *c3; //Nous crÃ©ons d'abord un pointeur de constante.
- 
-	c1  = localConstantTable->find(d1); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
-	c2 = localConstantTable->find(d2); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
-	c3 = localConstantTable->find(d3); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
-	
-	//Control on the first dimension's value. 
-	if (c1 != 0) { //C'est alors une constante.
-
-		dim = localConstantTable->find(d1)->getText();	
-		theShape.push_back(toInt(localConstantTable->find(d1)->getText()));
+	try 
+		{
+
+			int row = modeleSpace->rowCount();//To have the current row of the tableView.
+
+			string name   	= m_spaceNameLine->text().toStdString(),
+			d1   		= m_spaceD1->currentText().toStdString(),
+			d2   		= m_spaceD2->currentText().toStdString(),
+			d3   		= m_spaceD3->currentText().toStdString(),
+			dim		,//= d1 + " " + d2 + " " + d3,
+			traj 		= m_spaceTrajname->currentText().toStdString();
+	
+			vector <int> theShape; 	
+
+			Constant *c1; //Nous crÃ©ons d'abord un pointeur de constante.
+			Constant *c2; //Nous crÃ©ons d'abord un pointeur de constante.
+			Constant *c3; //Nous crÃ©ons d'abord un pointeur de constante.
+ 
+			c1  = localConstantTable->find(d1); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
+			c2 = localConstantTable->find(d2); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
+			c3 = localConstantTable->find(d3); //Ensuite on passe au pointeur le resultat de la recherche de la chaine en utilisant find.
+	
+			//Control on the first dimension's value. 
+			if (c1 != 0) { //C'est alors une constante.
+
+				dim = localConstantTable->find(d1)->getText();	
+				theShape.push_back(toInt(localConstantTable->find(d1)->getText()));
 		
-	}
-	else {
-
-
-		for(unsigned int i=0; i < d1.size(); i++) {
-		if(!(d1[i] >= '0' && d1[i] <= '9')){
- 
-		     QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 1\"."));
-                      return;
-                 }
-
+			}
+			else {
+
+				for(unsigned int i=0; i < d1.size(); i++) 
+					{
+						if(!(d1[i] >= '0' && d1[i] <= '9')){
+ 
+						     QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 1\"."));
+						      return;
+						 }
+
+					}
+
+				dim = d1;	
+				theShape.push_back(toInt(d1));
+
+			}
+			//Control on the 2nd dimension's value. 
+			if (c2 != NULL)  //C'est alors une constante.
+				{
+					dim =  dim + " " + localConstantTable->find(d2)->getText();	
+					theShape.push_back(toInt(localConstantTable->find(d2)->getText()));
+				}
+			else 
+				{
+	
+					for(unsigned int i=0; i < d2.size(); i++) {
+						if(!(d2[i] >= '0' && d2[i] <= '9'))
+							{
+ 
+							     QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 2\"."));
+							      return;
+							 }
+
+					}
+
+					dim = dim + " " + d2;	
+					theShape.push_back(toInt(d2));
+
+				}
+
+				//Control on the 3rd dimension's value. 
+				if (c3 != NULL) { //C'est alors une constante.
+					dim =  dim + " " + localConstantTable->find(d3)->getText();	
+					theShape.push_back(toInt(localConstantTable->find(d3)->getText()));
+				}
+				else 
+					{
+						for(unsigned int i=0; i < d3.size(); i++) 
+							{
+								if(!(d3[i] >= '0' && d3[i] <= '9')){
+									QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 3\"."));
+ 
+									return;
+								 }
+
+							}
+
+						dim = dim + " " + d3;	
+						theShape.push_back(toInt(d3));
+					}
+ 
+				if (name.empty()) { 
+					QMessageBox::about(this, tr("Erreur de saisie!"),
+					     tr("<p>Le champ \"Nom espace\" ne doit pas etre vide."));
+					return;
+				}
+				else
+ 
+					 if (!(dim.empty() || traj.empty())) {
+						modeleSpace->setItem(row, 0, new QStandardItem(m_spaceNameLine->text()));
+						modeleSpace->setItem(row, 1, new QStandardItem(QString(dim.c_str())));
+						modeleSpace->setItem(row, 2, new QStandardItem(m_spaceTrajname->currentText()));
+		
+						if (!(d1.empty() || d2.empty() || d3.empty())) {
+							Space espace(name, localTrajectoryTable->find(traj), theShape);
+							localSpaceTable->push_back(espace);	
+						}
+
+						toInitialize();
+ 
+						if (!isSpaceTableEmpty()) m_spaceDeleteButton->setEnabled(true);
+					}
 		}
 
-		dim = d1;	
-		theShape.push_back(toInt(d1));
-
-	}
-
-	//Control on the 2nd dimension's value. 
-	if (c2 != NULL) { //C'est alors une constante.
-
-		dim =  dim + " " + localConstantTable->find(d2)->getText();	
-		theShape.push_back(toInt(localConstantTable->find(d2)->getText()));
-	
-	}
-	else {
-	
-		for(unsigned int i=0; i < d2.size(); i++) {
-		if(!(d2[i] >= '0' && d2[i] <= '9')){
- 
-		     QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 2\"."));
-                      return;
-                 }
-
-		}
-
-		dim = dim + " " + d2;	
-		theShape.push_back(toInt(d2));
-
-
-	}
-
-	//Control on the 3rd dimension's value. 
-	 if (c3 != NULL) { //C'est alors une constante.
-
-		dim =  dim + " " + localConstantTable->find(d3)->getText();	
-		theShape.push_back(toInt(localConstantTable->find(d3)->getText()));
-	}
-	else {
-		for(unsigned int i=0; i < d3.size(); i++) {
-		if(!(d3[i] >= '0' && d3[i] <= '9')){
-			QMessageBox::about(this, tr("Erreur de saisie!"), tr("Saisir un entier ou faire un choix dans la liste deroulante du champ \"Dimension 3\"."));
- 
-                      return;
-                 }
-
-		}
-
-		dim = dim + " " + d3;	
-		theShape.push_back(toInt(d3));
-	}
- 
-	if (name.empty()) { 
-		QMessageBox::about(this, tr("Erreur de saisie!"),
-                     tr("<p>Le champ \"Nom espace\" ne doit pas etre vide."));
-              	return;
-	}
-	else
- 
-	 if (!(dim.empty() || traj.empty())) {
-
-		modeleSpace->setItem(row, 0, new QStandardItem(m_spaceNameLine->text()));
-            	modeleSpace->setItem(row, 1, new QStandardItem(QString(dim.c_str())));
-		modeleSpace->setItem(row, 2, new QStandardItem(m_spaceTrajname->currentText()));
-		
-		if (!(d1.empty() || d2.empty() || d3.empty())) {
-			Space espace(name, localTrajectoryTable->find(traj), theShape);
-			localSpaceTable->push_back(espace);	
-		}
-		toInitialize();
- 
-		if (!isSpaceTableEmpty()) m_spaceDeleteButton->setEnabled(true);
-	}
+		catch(...)
+			{
+				QMessageBox::critical(this, "Erreur", "erreur dans la methode addSpaceRow().");
+			}
 }
 
@@ -208,7 +209,5 @@
 const int SpaceWindow::toInt(const string& s) {
  
-     //QStringList test;
       return atoi(s.c_str());
- 
 }
 
@@ -227,13 +226,12 @@
     	
 	QItemSelectionModel *selection = m_spaceTableView->selectionModel();
-         index = selection->currentIndex();
-         QVariant element = modeleSpace->data(index, Qt::DisplayRole);
-          int r = index.row();
-          if (selection->hasSelection())// Permet de supprimer la ligne qui est selectionnÃ©e. Evite ainsi certains effets indesirables.
-           {
-                  modeleSpace->removeRows(m_spaceTableView->currentIndex().row(), 1);
-                  localSpaceTable->erase(localSpaceTable->begin() + r);
- 
-          }
+	index = selection->currentIndex();
+	QVariant element = modeleSpace->data(index, Qt::DisplayRole);
+	int r = index.row();
+	if (selection->hasSelection())// Permet de supprimer la ligne qui est selectionnÃ©e. Evite ainsi certains effets indesirables.
+		{
+			modeleSpace->removeRows(m_spaceTableView->currentIndex().row(), 1);
+			localSpaceTable->erase(localSpaceTable->begin() + r);
+		}
 	
 	if (isSpaceTableEmpty()) m_spaceDeleteButton->setDisabled(true);
@@ -272,11 +270,12 @@
 //if (aString.length() > 1) {
 	bool stringTest = false;
- for (int cpt = 0; aString.size(); cpt++) { 
-   if((aString[cpt] >= 'a' && aString[cpt] <= 'z') || (aString[cpt] >= 'A' && aString[cpt] <= 'Z') || (aString[cpt] >= '0' && aString[cpt] <= '9') ||
-      (aString[cpt] == '/') || (aString[cpt] == '_') || (aString[cpt] == '.') || (aString[cpt] == ' '))
-	stringTest =  true;
-   else
-   	stringTest =  false;        
-	}
+	for (int cpt = 0; aString.size(); cpt++) 
+		{ 
+			if((aString[cpt] >= 'a' && aString[cpt] <= 'z') || (aString[cpt] >= 'A' && aString[cpt] <= 'Z') || (aString[cpt] >= '0' && aString[cpt] <= '9') || (aString[cpt] == '/') || (aString[cpt] == '_') || (aString[cpt] == '.') || (aString[cpt] == ' '))
+
+				stringTest =  true;
+			else
+				stringTest =  false;        
+		}
 //}   
 //else
@@ -296,25 +295,31 @@
 	bool intTest = false;
 
- for (int cpt = 0; aStringToInt.size(); cpt++) { 
-   if(aStringToInt[cpt] >= '0' && aStringToInt[cpt] <= '9')
-	intTest = true;
-   else
-   	intTest = false;        
-	}
+	for (int cpt = 0; aStringToInt.size(); cpt++) 
+		{ 
+			if(aStringToInt[cpt] >= '0' && aStringToInt[cpt] <= '9')
+				intTest = true;
+			else
+				intTest = false;        
+		}
 	
 	return intTest;
 }
-/********************************************* ImplÃ©mentation du slot callSpaceHelp ***************************************/
-void SpaceWindow::callSpaceHelp() {
-
-    QMessageBox::about(this, tr("Aide sur la directive space."),("<p> La directive space permet de dÃ©clarer un espace qui sera identifiÃ© par son nom (spacename) et de sa taille qui peut Ãªtre en 1, 2 ou 3 dimensions."
+/********************************************* Implementation of callSpaceHelp() (slot) *************************************************************/
+void SpaceWindow::callSpaceHelp() 
+{
+
+	QMessageBox::about(this, tr("Aide sur la directive space."),("<p> La directive space permet de dÃ©clarer un espace qui sera identifiÃ© par son nom (spacename) et de sa taille qui peut Ãªtre en 1, 2 ou 3 dimensions."
                                                                   "<p><u>Exemple 1</u>: space Soce M SZX SZY Toce <p> Pour plus d'informations sur la directive space, <a href=\"help/space_aide.html\">cliquez ici.</a>"));
 
 }
 
-/****************************************************************************************************************************/
-/************************************************************************/
-/************************************************************************/void SpaceWindow::closeEvent(QCloseEvent *event) {
+/**************************************** Implementation of the method.******************************/
+/**************************************** Implementation of the closeEvent(QCloseEvent *event) method. *******************************************/
+void SpaceWindow::closeEvent(QCloseEvent *event) 
+{
 
 	emit spaceWindowIsClosed(5);
 }
+/***************************************************************************************************************************************************/
+/*********************************************** End of file. **************************************************************************************/
+/***************************************************************************************************************************************************/
Index: /trunk/yao/src/interface/src/include/ConnectionWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/ConnectionWindow.hpp	(revision 378)
+++ /trunk/yao/src/interface/src/include/ConnectionWindow.hpp	(revision 379)
@@ -2,5 +2,5 @@
  * \file    ConnectionWindow.hpp
  * \brief   Ctin class for visual_YAO.
- * \version 2010/07/01 (yyyy/mm/dd)
+ * \version 2010/07/07 (yyyy/mm/dd)
  * \author  MAYAKI Abdouramane.
  */
Index: /trunk/yao/src/interface/src/include/ModulWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/ModulWindow.hpp	(revision 378)
+++ /trunk/yao/src/interface/src/include/ModulWindow.hpp	(revision 379)
@@ -3,4 +3,5 @@
 
 #include "MainWindowController.hpp"
+#include <QStandardItemModel>
 #include <QString>
 #include <QDateEdit> 