Index: /trunk/yao/src/interface/src/MainWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/MainWindow.cpp	(revision 399)
+++ /trunk/yao/src/interface/src/MainWindow.cpp	(revision 400)
@@ -264,5 +264,5 @@
 
 	m_constantButton    = new QPushButton(tr("Defval"), this);
-		m_constantButton->setToolTip("Bouton dÃ©sactivÃ©. Vous devez d'abord creer un nouveau projet ou en ouvrir un.");
+		//m_constantButton->setToolTip("Bouton dÃ©sactivÃ©. Vous devez d'abord creer un nouveau projet ou en ouvrir un.");
 
 		connect(m_constantButton, SIGNAL(clicked()), this, SLOT(createDefvalWindow()));
@@ -433,5 +433,5 @@
 
 	if (m_orderWindow == NULL) { //to test if the object is already created.
-		m_orderWindow = new OrderWindow; //mwc.getOrder();
+		m_orderWindow = new OrderWindow(&theTrajectoryTable, &theSpaceTable, &theOperaTable, &theModulTable); //mwc.getOrder();
 		espace.addWindow(m_orderWindow)->move(2, 0);
 		m_orderWindow->show();
@@ -806,6 +806,8 @@
 			if (!theModulTable.empty()){
 			description << "#MODUL name parent ( modulAttribute )* --------------------------------------------------------" << endl;
-				for (Table<Modul>::iterator it = theModulTable.begin(); it != theModulTable.end(); it++)
-					description << "modul " << it->getName() << " " << it->getSpaceOrOperator() << " " << "input "<< it->getInput() << " " << "output "<< it->getOutput() << " " << "target " << it->getTarget()<< endl;
+				for (Table<Modul>::iterator it = theModulTable.begin(); it != theModulTable.end(); it++) {
+					string parentType = it->isSpaceOrOperator()? "space " : "operator ";
+					description << "modul " << it->getName() << " " << parentType << it->getSpaceOrOperator() << " " << "input "<< it->getInput() << " " << "output "<< it->getOutput() << " " << "target " << it->getTarget()<< endl;
+				}
 					description << endl;
 			}
Index: /trunk/yao/src/interface/src/MainWindowController.cpp
===================================================================
--- /trunk/yao/src/interface/src/MainWindowController.cpp	(revision 399)
+++ /trunk/yao/src/interface/src/MainWindowController.cpp	(revision 400)
@@ -210,5 +210,5 @@
 OrderWindow *MainWindowController::getOrder() {
 
-    return m_order = new OrderWindow;
+    //return m_order = new OrderWindow;
 }
 /**************************************************************** getInsertFCT() ********************************************************/
Index: /trunk/yao/src/interface/src/OrderWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/OrderWindow.cpp	(revision 399)
+++ /trunk/yao/src/interface/src/OrderWindow.cpp	(revision 400)
@@ -14,11 +14,18 @@
 #include "include/OrderWindow.hpp"
 
+using namespace std;
+using namespace yao;
 //! \class OrderWindow(QWidget *parent) : QWidget(parent)
 //! \brief Implementation of the Order window for visual_YAO.
 
-/***********************************************************************/
-OrderWindow::OrderWindow(QWidget *parent) : QWidget(parent) {
+/***************************************** Implementation of the Construtor OrderWindow() *************************************************/
+OrderWindow::OrderWindow(Table <Trajectory> *aTrajectoryTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Table <Modul> *aModulTable, QWidget *parent) : QWidget(parent) {
 
 	setupUi(this);
+
+	m_trajectoryTable	= aTrajectoryTable;
+	m_spaceTable		= aSpaceTable;
+	m_operatorTable		= anOperatorTable;
+	m_modulTable		= aModulTable;
 
 	setFixedWidth(baseSize().width() + 765);
@@ -27,5 +34,5 @@
 }
 
-/***********************************************************************/
+/**************************************************** Implementation of cloveEvent() method. ***********************************************/
 void OrderWindow::closeEvent(QCloseEvent *event) {
 
Index: /trunk/yao/src/interface/src/include/OrderWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/OrderWindow.hpp	(revision 399)
+++ /trunk/yao/src/interface/src/include/OrderWindow.hpp	(revision 400)
@@ -13,4 +13,6 @@
 #include "../../ui_orderwindow.h"
 #include "../../../YAOObjects/Table.hpp"
+#include "../../../YAOObjects/Operator.hpp"
+#include "../../../YAOObjects/Trajectory.hpp"
 #include "../../../YAOObjects/Order.hpp"
 #include <QStandardItemModel>
@@ -21,5 +23,5 @@
 
 	public :
-            OrderWindow(QWidget *parent=0);
+            OrderWindow(yao::Table <yao::Trajectory> *aTrajectoryTable, yao::Table <yao::Space> *aSpaceTable, yao::Table <yao::Operator> *anOperatorTable, yao::Table <yao::Modul> *aModulTable, QWidget *parent=0);
 
 	private slots:
@@ -32,5 +34,10 @@
 
 	private :
-		 QStandardItemModel *m_orderModel;
+		QStandardItemModel *m_orderModel;
+		yao::Table <yao::Trajectory> *m_trajectoryTable;
+		yao::Table <yao::Space> *m_spaceTable;
+		yao::Table <yao::Operator> *m_operatorTable;
+		yao::Table <yao::Modul> *m_modulTable;
+
 };
 #endif // ORDERWINDOW_HPP
Index: /trunk/yao/src/interface/src/ui_/orderwindow.ui
===================================================================
--- /trunk/yao/src/interface/src/ui_/orderwindow.ui	(revision 399)
+++ /trunk/yao/src/interface/src/ui_/orderwindow.ui	(revision 400)
@@ -260,5 +260,41 @@
       </item>
       <item>
-       <widget class="QComboBox" name="comboBox_2"/>
+       <widget class="QComboBox" name="comboBox_2">
+        <item>
+         <property name="text">
+          <string/>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YA1</string>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YA2</string>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YA3</string>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YB1</string>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YB2</string>
+         </property>
+        </item>
+        <item>
+         <property name="text">
+          <string>YB3</string>
+         </property>
+        </item>
+       </widget>
       </item>
       <item>