Index: /trunk/yao/src/interface/configure
===================================================================
--- /trunk/yao/src/interface/configure	(revision 471)
+++ /trunk/yao/src/interface/configure	(revision 472)
@@ -1,2 +1,18 @@
 #!/bin/bash
-make && ./interface
+echo "Phase 1: Compilation de la grammaire de Yao."
+cd ..
+make
+echo "Compilation de la grammaire terminÃ©e."
+cp Yao9Generator interface/
+
+echo "export VYAO=$HOME/Documents/Depot_Yao/svn/trunk/yao/src/interface/" > $HOME/.bashrc
+echo "export PATH=$PATH:$VYAO" > $HOME/.bashrc
+
+cd -
+echo "Retour dans le rÃ©pertoire interface"
+echo "Phase 2: Compilation de Visual Yao."
+qmake -project && qmake && make
+sed -i -e '16c INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc/include -I. -I../../share/antlr-2.7.7/lib/cpp/ -I../../share/boost_1_39_0/ -I.' Makefile
+make && echo "Compilation terminÃ©e" && ./interface
+echo "Phase 3: Compilation de Visual Yao."
+#make 
Index: /trunk/yao/src/interface/src/ModinspaceWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/ModinspaceWindow.cpp	(revision 471)
+++ /trunk/yao/src/interface/src/ModinspaceWindow.cpp	(revision 472)
@@ -22,13 +22,15 @@
 
 /*********************************************************************************************************************************/
-ModinspaceWindow::ModinspaceWindow(Table <Modul> *aModulTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Table <Order> *anOrderTable, QWidget *parent) : QWidget(parent), m_theLocalAxesTable(NULL), m_theLocalModulTable(NULL) {
+ModinspaceWindow::ModinspaceWindow(Table <Modul> *aModulTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Table <Order> *anOrderTable, Order *anOrder, QWidget *parent) : QWidget(parent), m_theLocalAxesTable(NULL), m_theLocalModulTable(NULL) {
+
 
 	setupUi(this);
 	
-	m_localModulTable       	= aModulTable;
-        m_localSpaceTable            = aSpaceTable;
-        m_localOperaTable         = anOperatorTable;
+	m_localModulTable       = aModulTable;
+        m_localSpaceTable       = aSpaceTable;
+        m_localOperaTable       = anOperatorTable;
         m_localOrderTable       = anOrderTable;
-	
+	m_localOrder		= anOrder;	
+
 	m_rightAxesButton->setIcon(QIcon("Images/icons/rightarrow2.png"));
 	m_rightModulNameButton->setIcon(QIcon("Images/icons/rightarrow2.png"));
@@ -161,5 +163,5 @@
 	if (!cpt) {
 		
-		//Order ord(&m_localModulTable)
+		Order ord(m_localModulTable);
 			
 		m_outlineModel->setItem(row0, 0, new QStandardItem("order")); 
@@ -168,9 +170,24 @@
 		m_outlineModel->setItem(row1, 1, new QStandardItem("order")); 
 	
-		if(m_localSpaceTable->find(commonName))
+		if(m_localSpaceTable->find(commonName)) {
+			if(m_localSpaceTable->find(commonName)->isCounterOrderHeader()==false)
+				{
+					QMessageBox::critical(this, "Avis", "Ce nom d'espace a Ã©tÃ© dÃ©jÃ  insÃ©rÃ©.");
+                 			return;
+				}
 			m_localSpaceTable->find(commonName)->setCounterOrderHeader(true);
-		else
+			
+		}
+		else {
+			if(m_localOperaTable->find(commonName)->isCounterOrderHeader()==false)
+				{
+					QMessageBox::critical(this, "Avis", "Ce nom d'operateur a Ã©tÃ© dÃ©jÃ  insÃ©rÃ©.");
+                 			return;
+				}
+
 			m_localOperaTable->find(commonName)->setCounterOrderHeader(true);
-		
+		}
+		
+		ord.setOrderPhase(1);	
 		cpt++;
 
Index: /trunk/yao/src/interface/src/OrderWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/OrderWindow.cpp	(revision 471)
+++ /trunk/yao/src/interface/src/OrderWindow.cpp	(revision 472)
@@ -20,5 +20,5 @@
 
 /***************************************** Implementation of the Construtor OrderWindow() *************************************************/
-OrderWindow::OrderWindow(Table <Trajectory> *aTrajectoryTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Table <Modul> *aModulTable,  Table <Order> *anOrderTable, QWidget *parent) : stateOfSpaceintrajEndCheckBox(false), QWidget(parent) {
+OrderWindow::OrderWindow(Table <Trajectory> *aTrajectoryTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Table <Modul> *aModulTable,  Table <Order> *anOrderTable, QWidget *parent) : stateOfSpaceintrajEndCheckBox(false), QWidget(parent), m_localOrder(m_localModulTable) {
 
 	setupUi(this);
@@ -29,4 +29,5 @@
 	m_localModulTable		= aModulTable;
 	m_localOrderTable		= anOrderTable;
+	
 	/*
 	setFixedWidth(baseSize().width() + 765);
@@ -51,6 +52,6 @@
 	//m_modinspaceRadioButton		= new QRadioButton("modinspace");
 	//m_spaceintrajRadioButton	= new QRadioButton("spaceintraj");	
-	ModinspaceWindow *misw 		= new ModinspaceWindow(m_localModulTable, m_localSpaceTable, m_localOperaTable, m_localOrderTable); 
-	SpaceintrajWindow *sitw 	= new SpaceintrajWindow(m_localTrajectoryTable, m_localSpaceTable, m_localOperaTable);
+	ModinspaceWindow *misw 		= new ModinspaceWindow(m_localModulTable, m_localSpaceTable, m_localOperaTable, m_localOrderTable, &m_localOrder); 
+	SpaceintrajWindow *sitw 	= new SpaceintrajWindow(m_localTrajectoryTable, m_localSpaceTable, m_localOperaTable, &m_localOrder);
 		//sitw->show(); 
 	
Index: /trunk/yao/src/interface/src/SpaceintrajWindow.cpp
===================================================================
--- /trunk/yao/src/interface/src/SpaceintrajWindow.cpp	(revision 471)
+++ /trunk/yao/src/interface/src/SpaceintrajWindow.cpp	(revision 472)
@@ -1,5 +1,5 @@
 //! \file    SpaceintrajWindow.cpp
 //! \brief   Implementation of the instructions file's window for visual_YAO.
-//! \version 2010/10/22 (yyyy/mm/dd)
+//! \version 2010/10/29 (yyyy/mm/dd)
 //! \author  MAYAKI Abdouramane.
 
@@ -22,5 +22,5 @@
 
 /*********************************************************************************************************************************/
-SpaceintrajWindow::SpaceintrajWindow(Table <Trajectory> *aTrajectoryTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, QWidget *parent) : QWidget(parent) {
+SpaceintrajWindow::SpaceintrajWindow(Table <Trajectory> *aTrajectoryTable, Table <Space> *aSpaceTable, Table <Operator> *anOperatorTable, Order *anOrder,  QWidget *parent) : QWidget(parent) {
 
 	setupUi(this);
@@ -31,5 +31,5 @@
         m_spaceTable       	= aSpaceTable;
         m_operatorTable    	= anOperatorTable;
-
+	m_localOrder		= anOrder;
 
 	for (Table<Trajectory>::reverse_iterator it = m_trajectoryTable->rbegin(); it != m_trajectoryTable->rend(); it++) {
Index: /trunk/yao/src/interface/src/include/ModinspaceWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/ModinspaceWindow.hpp	(revision 471)
+++ /trunk/yao/src/interface/src/include/ModinspaceWindow.hpp	(revision 472)
@@ -24,5 +24,5 @@
 
 	public :
-		ModinspaceWindow(yao::Table <yao::Modul> *aModulTable, yao::Table <yao::Space> *aSpaceTable, yao::Table <yao::Operator> *anOperatorTable, yao::Table <yao::Order> *anOrderTable, QWidget *parent=0);
+		ModinspaceWindow(yao::Table <yao::Modul> *aModulTable, yao::Table <yao::Space> *aSpaceTable, yao::Table <yao::Operator> *anOperatorTable, yao::Table <yao::Order> *anOrderTable, yao::Order *anOrder, QWidget *parent=0);
 
 	private slots:
@@ -47,4 +47,5 @@
                 yao::Table <yao::Operator> *m_localOperaTable;
                 yao::Table <yao::Order> *m_localOrderTable;
+                yao::Order *m_localOrder;
 		
 		QStandardItemModel *m_axesModel;
Index: /trunk/yao/src/interface/src/include/OrderWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/OrderWindow.hpp	(revision 471)
+++ /trunk/yao/src/interface/src/include/OrderWindow.hpp	(revision 472)
@@ -59,4 +59,5 @@
 		yao::Table <yao::Modul> *m_localModulTable;
 		yao::Table <yao::Order> *m_localOrderTable;
+		yao::Order m_localOrder;
 };
 #endif // ORDERWINDOW_HPP
Index: /trunk/yao/src/interface/src/include/SpaceintrajWindow.hpp
===================================================================
--- /trunk/yao/src/interface/src/include/SpaceintrajWindow.hpp	(revision 471)
+++ /trunk/yao/src/interface/src/include/SpaceintrajWindow.hpp	(revision 472)
@@ -16,4 +16,5 @@
 #include "../../../YAOObjects/Operator.hpp"
 #include "../../../YAOObjects/Trajectory.hpp"
+#include "../../../YAOObjects/Order.hpp"
 
 
@@ -24,5 +25,5 @@
 
 	public :
-		SpaceintrajWindow(yao::Table <yao::Trajectory> *aTrajectoryTable, yao::Table <yao::Space> *aSpaceTable, yao::Table <yao::Operator> *anOperatorTable, QWidget *parent=0);
+		SpaceintrajWindow(yao::Table <yao::Trajectory> *aTrajectoryTable, yao::Table <yao::Space> *aSpaceTable, yao::Table <yao::Operator> *anOperatorTable, yao::Order *anOrder, QWidget *parent=0);
 
 	private slots:
@@ -45,4 +46,5 @@
 		QStandardItemModel *m_spaceOrOperanameModel;
 		QStandardItemModel *m_outlineModel2;
+		yao::Order *m_localOrder;
 };
 #endif // SPACEINTRAJWINDOW_HPP