Index: /trunk/yao/src/Translator.cpp
===================================================================
--- /trunk/yao/src/Translator.cpp	(revision 549)
+++ /trunk/yao/src/Translator.cpp	(revision 550)
@@ -3375,5 +3375,5 @@
         {
           anImplementation << "\n\t\tnbko += Ytestdf_" << mName << "(modop,KeKo,pdx,ptol,YNBI_" << mName << ",YNBS_";
-          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[0][Yi],Y" << mName << ");\n";
+          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[Yi],Y" << mName << ");\n";
         }
       }
@@ -3388,5 +3388,5 @@
         {
           anImplementation << "\n\t\tnbko += Ytestdf_" << mName << "(modop,KeKo,pdx,ptol,YNBI_" << mName << ",YNBS_";
-          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[0][Yi][Yj],Y" << mName << ");\n";
+          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[Yi][Yj],Y" << mName << ");\n";
         }
       }
@@ -3401,5 +3401,5 @@
         {
           anImplementation << "\n\t\tnbko += Ytestdf_" << mName << "(modop,KeKo,pdx,ptol,YNBI_" << mName << ",YNBS_";
-          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[0][Yi][Yj][Yk],Y" << mName << ");\n";
+          anImplementation << mName << ",\"" << mName << "\",Yting,Y" << mName << "->Ystate[Yi][Yj][Yk],Y" << mName << ");\n";
         }
       }
@@ -4578,5 +4578,5 @@
       {
         anImplementation << "\tnbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName() << ",YNBS_";
-        anImplementation << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() << "->Ystate[0][Yi],Y";
+        anImplementation << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() << "->Ystate[Yi],Y";
         anImplementation << mod.getName() << ");\n";
       }
@@ -4603,5 +4603,5 @@
         anImplementation << "\tnbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName();
         anImplementation << ",YNBS_" << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() ;
-        anImplementation << "->Ystate[0][Yi][Yj],Y" << mod.getName() << ");\n";
+        anImplementation << "->Ystate[Yi][Yj],Y" << mod.getName() << ");\n";
       }
     }
@@ -4627,5 +4627,5 @@
         anImplementation << "\tnbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName() ;
         anImplementation << ",YNBS_" << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName();
-        anImplementation << "->Ystate[0][Yi][Yj][Yk],Y" << mod.getName() << ");\n";
+        anImplementation << "->Ystate[Yi][Yj][Yk],Y" << mod.getName() << ");\n";
       }
     }
@@ -5145,5 +5145,5 @@
         anImplementation << "\t nbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName() ;
         anImplementation << ",YNBS_" << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() ;
-        anImplementation << "->Ystate[0][Yi],Y" << mod.getName() << ");\n";
+        anImplementation << "->Ystate[Yi],Y" << mod.getName() << ");\n";
       }
     } // cf !^ remarks.
@@ -5168,5 +5168,5 @@
         anImplementation << "\t nbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName() ;
         anImplementation << ",YNBS_" << mod.getName() << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() ;
-        anImplementation << "->Ystate[0][Yi][Yj],Y" << mod.getName() << ");\n";
+        anImplementation << "->Ystate[Yi][Yj],Y" << mod.getName() << ");\n";
       }
     } // cf !^ remarks.
@@ -5189,5 +5189,5 @@
       {
         anImplementation << "\t nbko += Ytestdf_" << mod.getName() << "(modop,KeKo,pdx,ptol,YNBI_" << mod.getName() << ",YNBS_" << mod.getName() ;
-        anImplementation << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() << "->Ystate[0][Yi][Yj][Yk],Y" << mod.getName() << ");\n";
+        anImplementation << ",\"" << mod.getName() << "\",Yting,Y" << mod.getName() << "->Ystate[Yi][Yj][Yk],Y" << mod.getName() << ");\n";
       }
     } // cf !^ remarks.